use Test::More;
use Plack::Test;
use HTTP::Request::Common;
use Plack::Loader;
use Plack::Util();
use JSON qw/decode_json/;

my $app = Plack::Util::load_psgi('./raisin.pl');

test_psgi $app, sub {
    my $cb  = shift;
    my $req = HTTP::Request->new(GET => '/users/1');
    my $res = $cb->($req);
    my $json_data = decode_json($res->content);

    is $res->code, 200;
    is $json_data->{name}, 'Hoge';
};

done_testing;